#### D.5.2.17 ChernRootsProd

Procedure from library `chern.lib` (see chern_lib).

Usage:
  ChernRootsProd(a, b); a, b lists of polynomials

Return:
  list of polynomials

Purpose:
  computes the Chern roots of the tensor product of a vector bundle with Chern roots a and a vector bundles with Chern roots b

Note:

Example:

    LIB "chern.lib";
    ring r=0, (a(1..2), b(1..3)), dp;
    list l=a(1..2);
    list L=b(1..3);
    // Chern roots of the tensor product of a vector bundle with Chern roots a(1), a(2)
    // and a vector bundle with Chern roots b(1), b(2), b(3)
    print(ChernRootsProd(l, L));

User manual for Singular version 4.4.1, 2025, generated by texi2html.